> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bonx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lister les lots de stock

> Renvoie les lots de stock, de la plus récente à la plus ancienne.

Renvoie les lots de stock, de la plus récente à la plus ancienne.

```json Réponse theme={null}
{
  "lots": [
    {
      "id": 44,
      "lot": "LOT-2026-0044",
      "available": 120,
      "total": 150,
      "article": {
        "code": "CAM-PEEK",
        "name": "Came PEEK"
      },
      "location": {
        "id": 2,
        "name": "Zone A"
      }
    }
  ]
}
```


## OpenAPI

````yaml openapi.json GET /stock/lots
openapi: 3.0.0
info:
  title: Bonx API
  version: 1.0.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://YOUR-API-URL
        description: Your space API URL, available in Settings → API tokens.
security: []
paths:
  /stock/lots:
    get:
      summary: List stock lots
      parameters:
        - in: header
          name: x-api-key
          schema:
            type: string
          description: API token from your Bonx space.
        - in: query
          name: limit
          required: false
          schema:
            default: 20
            type: integer
        - in: query
          name: offset
          required: false
          schema:
            default: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  lots:
                    items:
                      nullable: false
                      properties:
                        article:
                          description: >-
                            Articles with physical reality (= manage-able in
                            stock). This table includes all article types (raw
                            materials, semi-finished, finished products,
                            consumables, etc.)
                          nullable: false
                          properties:
                            code:
                              nullable: true
                              type: string
                            id:
                              nullable: false
                              type: integer
                            name:
                              nullable: false
                              type: string
                            unit:
                              nullable: true
                              type: string
                          type: object
                        available:
                          $ref: '#/components/schemas/numeric'
                        expiryDate:
                          $ref: '#/components/schemas/date'
                        id:
                          nullable: false
                          type: integer
                        location:
                          nullable: false
                          properties:
                            id:
                              nullable: false
                              type: integer
                            name:
                              nullable: false
                              type: string
                          type: object
                        lot:
                          nullable: false
                          type: string
                        total:
                          $ref: '#/components/schemas/numeric'
                      type: object
                    nullable: false
                    type: array
          description: Response
components:
  schemas:
    numeric:
      nullable: false
    date:
      nullable: false

````